Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("GeneralStock")> _
<DefaultProperty("CustomsTariffNumber")> _
Public Class CustomsTariffs
    Inherits BaseObject
    Private _CustomsTariffNumber As String
    Private _Description As String
    Private _NAVCode As String
    Private _NAVDescription As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property CustomsTariffNumber As String
        Get
            Return _CustomsTariffNumber
        End Get
        Set(ByVal value As String)
            SetPropertyValue("CustomsTariffNumber", _CustomsTariffNumber, value)
        End Set
    End Property
    Property Description As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property

    Property NAVCode As String
        Get
            Return _NAVCode
        End Get
        Set(value As String)
            SetPropertyValue("NAVCode", _NAVCode, value)
        End Set
    End Property
    Property NAVDescription As String
        Get
            Return _NAVDescription
        End Get
        Set(value As String)
            SetPropertyValue("NAVDescription", _NAVDescription, value)
        End Set
    End Property
End Class


